<?php
/*
 * $Id: userdic_exel.php,v 1.1 2005/10/21 06:53:18 ikuma Exp $
 *
 * 辞書  ADCOOP
 */
require_once 'inc/header.inc';
require_once 'inc/global.inc';
require_once 'Spreadsheet/Excel/Writer.php';

//タイムアウト5分
set_time_limit(300);
// =================================================================================================
// FORM変数の取得
// =================================================================================================
  //データ取得
  $sql  = "";
  $sql .= "select id,midasi,hatuon,yaku,yorei from user_dic order by hatuon ";
  //SQL実行
  $result   = pg_query($DBconnect, $sql);
  $dbmaxrow = pg_num_rows($result);
  if($dbmaxrow == 0){
    exit("出力できるデータがありませんでした。\nNo Data");
  }
  $id         = array();
  $data       = array();
  for ($i=0; $i < $dbmaxrow; $i++) {
      $id[$i]     = pg_fetch_result($result,$i,'id');
      $data["midasi"][$i] = preg_replace("/\s/","　",pg_fetch_result($result,$i,'midasi'),-1);
      $data["hatuon"][$i] = preg_replace("/　/"," ",pg_fetch_result($result,$i,'hatuon'),-1);
      $data["yaku"][$i]   = pg_fetch_result($result,$i,'yaku');
      $data["yorei"][$i]  = pg_fetch_result($result,$i,'yorei');
  }
  //シート出力
  //Bookの名前
  $book_name = "user_dic";
  $book_name = "$book_name".".xls";
  $workbook = new Spreadsheet_Excel_Writer();
  //セルフォーマット定義
    //[ヘッダ]
    $flc0000h = & $workbook->addFormat();
    $flc0000h->setFontFamily("MS UI Gothic");
    $flc0000h->setSize(10);
    $flc0000h->setAlign ('left');
    $flc0000h->setAlign ('vcenter');
    $flc0000h->setBorder (1);
    $flc0000h->setColor(9);
    $flc0000h->setFgColor(22);
    //[明細]
    $flc0000 = & $workbook->addFormat();
    $flc0000->setFontFamily("MS UI Gothic");
    $flc0000->setSize(10);
    $flc0000->setAlign ('left');
    $flc0000->setAlign ('vcenter');
    $flc0000->setBorder (1);
  //シートの追加
    $worksheet =& $workbook->addWorksheet("user_dic");

  //ページフォーマット指定
    //ワークシートの印刷設定
    $worksheet->setPaper(9);         //Ａ４を指定
    //0.5cm = 0.2
    $worksheet->setMarginTop(0.8);    //上のマージン
    $worksheet->setMarginBottom(0.6); //下のマージン
    $worksheet->setMarginLeft(0.4);   //左のマージン
    $worksheet->setMarginRight(0.2);  //右のマージン
    //$worksheet->fitToPages(1,0);    //横１頁に収める
    $worksheet->hideGridlines();      //枠線を隠す
  //列幅をセット
    $worksheet->setColumn(0,0,28.0);
    $worksheet->setColumn(1,1,73.14);
    $worksheet->setColumn(2,2,45.0);
    $worksheet->setColumn(2,3,45.0);

  //ヘッダの出力
  $worksheet->writeString(0,0,mb_convert_encoding("見出語","SJIS","AUTO"), $flc0000h);
  $worksheet->writeString(0,1,mb_convert_encoding("発音","SJIS","AUTO"), $flc0000h);
  $worksheet->writeString(0,2,mb_convert_encoding("訳語","SJIS","AUTO"), $flc0000h);
  $worksheet->writeString(0,3,mb_convert_encoding("用例","SJIS","AUTO"), $flc0000h);
  //明細出力
  $r = 1;
  foreach($id as $k=>$val){
    $worksheet->setRow($r,15.75);
    $worksheet->writeString($r,0,mb_convert_encoding($data["midasi"][$k],"SJIS","AUTO"),$flc0000);
    $worksheet->writeString($r,1,mb_convert_encoding($data["hatuon"][$k],"SJIS","AUTO"),$flc0000);
    $worksheet->writeString($r,2,mb_convert_encoding($data["yaku"][$k],"SJIS","AUTO"),$flc0000);
    $worksheet->writeString($r,3,mb_convert_encoding($data["yotei"][$k],"SJIS","AUTO"),$flc0000);
    $r++;
  }
  //列行固定
  $worksheet->freezePanes("1111");
  //ブック出力
  $workbook->send("$book_name");
  $workbook->close();

?>
